package nckd.jimin.jyyy.hr.hom.explugin;

import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.dataentity.entity.DynamicObjectCollection;
import kd.bos.form.IFormView;
import kd.bos.logging.Log;
import kd.bos.logging.LogFactory;
import kd.hr.hom.business.application.extension.IContactInfoService;

public class ContactInfoServiceImplEx implements IContactInfoService {
    private static final Log log = LogFactory.getLog(ContactInfoServiceImplEx.class);

    public ContactInfoServiceImplEx() {

    }

    @Override
    public String getExtPropertiesWithAddress() {
        return "candidate,addresstype,countrycode,addressinfo,nckd_companyemail";
    }

    @Override
    public void initViewWithAddress(IFormView iFormView, DynamicObjectCollection dynamicObjectCollection) {
        log.info("initViewWithAddress");
    }

    @Override
    public void setValueBeforeSaveAddress(IFormView iFormView, DynamicObjectCollection dynamicObjectCollection) {
        log.info("setValueBeforeSaveAddress");
    }

    @Override
    public String getExtProperties() {
        log.info("getExtProperties");
        return null;
    }

    @Override
    public void initViewForExt(IFormView iFormView, DynamicObject dynamicObject) {
        log.info("initViewForExt");
    }

    @Override
    public void setValueBeforeSave(IFormView iFormView, DynamicObject dynamicObject) {
        log.info("setValueBeforeSave");
    }
}
